docker-novolume-plugin-1.12.2-5.git8f1975c.fc25.x86_64.rpm


Advertisement

Description

docker-novolume-plugin - Block container starts with local volumes defined

Property Value
Distribution Fedora 25
Repository Fedora x86_64
Package name docker-novolume-plugin
Package version 1.12.2
Package release 5.git8f1975c.fc25
Package architecture x86_64
Package type rpm
Installed size 4.17 MB
Download size 1.42 MB
Official Mirror dl.fedoraproject.org
When a volume in provisioned via the `VOLUME` instruction in a Dockerfile or
via `docker run -v volumename`, host's storage space is used. This could lead to
an unexpected out of space issue which could bring down everything.
There are situations where this is not an accepted behavior. PAAS, for
instance, can't allow their users to run their own images without the risk of
filling the entire storage space on a server. One solution to this is to deny users
from running images with volumes. This way the only storage a user gets can be limited
and PAAS can assign quota to it.
This plugin solves this issue by disallowing starting a container with
local volumes defined. In particular, the plugin will block `docker run` with:
- `--volumes-from`
- images that have `VOLUME`(s) defined
- volumes early provisioned with `docker volume` command
The only thing allowed will be just bind mounts.

Alternatives

Package Version Architecture Repository
docker-novolume-plugin-1.12.6-8.gitbe5610c.fc25.i686.rpm 1.12.6 i686 Fedora Updates Testing
docker-novolume-plugin-1.12.6-8.gitbe5610c.fc25.x86_64.rpm 1.12.6 x86_64 Fedora Updates Testing
docker-novolume-plugin-1.12.6-7.gitae7d637.fc25.i686.rpm 1.12.6 i686 Fedora Updates
docker-novolume-plugin-1.12.6-7.gitae7d637.fc25.x86_64.rpm 1.12.6 x86_64 Fedora Updates
docker-novolume-plugin-1.12.2-5.git8f1975c.fc25.i686.rpm 1.12.2 i686 Fedora
docker-novolume-plugin - - -

Requires

Name Value
docker = 1.12.2-5.git8f1975c.fc25
libc.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -

Provides

Name Value
docker-novolume-plugin = 1.12.2-5.git8f1975c.fc25
docker-novolume-plugin(x86-64) = 1.12.2-5.git8f1975c.fc25

Download

Type URL
Binary Package docker-novolume-plugin-1.12.2-5.git8f1975c.fc25.x86_64.rpm
Source Package docker-1.12.2-5.git8f1975c.fc25.src.rpm

Install Howto

Install the docker-novolume-plugin rpm package:

# dnf install docker-novolume-plugin

Files

Path
/usr/lib/systemd/system/docker-novolume-plugin.service
/usr/lib/systemd/system/docker-novolume-plugin.socket
/usr/libexec/docker/docker-novolume-plugin
/usr/share/doc/docker-novolume-plugin/README-novolume-plugin.md
/usr/share/licenses/docker-novolume-plugin/LICENSE-novolume-plugin

Changelog

See docker-1.12.2-5.git8f1975c.fc25.x86_64.rpm changelog.

See Also

Package Description
docker-rhsubscription-1.12.2-5.git8f1975c.fc25.x86_64.rpm Red Hat subscription management files needed on the host to enable RHEL containers
docker-unit-test-1.12.2-5.git8f1975c.fc25.x86_64.rpm A golang registry for global request variables (source libraries) - for running unit tests
docker-v1.10-migrator-1.12.2-5.git8f1975c.fc25.x86_64.rpm Calculates SHA256 checksums for docker layer content
docker-vim-1.12.2-5.git8f1975c.fc25.x86_64.rpm vim syntax highlighting files for Docker
docker-zsh-completion-1.12.2-5.git8f1975c.fc25.x86_64.rpm zsh completion files for Docker
doclifter-2.17-1.fc25.noarch.rpm Translates documents written in troff macros to DocBook
doge-3.5.0-2.fc25.noarch.rpm MOTD script based on the doge meme
dogtag-pki-10.3.5-1.fc25.noarch.rpm Dogtag Public Key Infrastructure (PKI) Suite
dogtag-pki-console-theme-10.3.5-1.fc25.noarch.rpm Certificate System - PKI Console User Interface
dogtag-pki-server-theme-10.3.5-1.fc25.noarch.rpm Certificate System - PKI Server Framework User Interface
dogtail-0.9.9-3.fc25.noarch.rpm GUI test tool and automation framework
dojo-1.8.3-6.fc24.noarch.rpm Modular JavaScript toolkit
dokuwiki-0-0.27.20150810a.fc24.noarch.rpm Standards compliant simple to use wiki
dokuwiki-selinux-0-0.27.20150810a.fc24.noarch.rpm SElinux support for dokuwiki
dolphin-16.08.2-1.fc25.x86_64.rpm KDE File Manager
Advertisement
Advertisement